cap log close


********************************************************************************
**** load data & log File                               **********************
********************************************************************************
log using "$log/lpo05_1_Prep_p_register.log", replace

* Content: Preparation PASS - Partner ID 

clear all
capture set more off 

use "$orig/p_register.dta", clear

keep pnr zparthh1 zparthh2 zparthh3 zparthh4 zparthh5 zparthh6 zparthh7 zparthh8 zparthh9 zparthh10


reshape long zparthh, i(pnr) j(welle)
rename pnr persnr
rename zparthh persnr_partner

replace persnr_partner = . if persnr_partner < 0

bysort persnr (welle): replace persnr_partner = persnr_partner[_n-1] if persnr_partner[_n-1] == persnr_partner[_n+1] & persnr_partner[_n-1] != . & persnr_partner[_n+1] != . & persnr_partner == .



sort persnr welle

* save data

save "$data/partner_id.dta", replace

********************************************************************************

log close








