cap log close

********************************************************************************
**** load data & log File                               **********************
********************************************************************************
log using "$log/lpo06_1_Prep_persnr_date.log", replace

* Content: Preparation PASS - Save Interviewdates in wide and long format

clear all
capture set more off 

use "$orig/PENDDAT.dta", clear


********************************************************************************
****  Zeitangaben                                         **********************
********************************************************************************
* wide format

rename pnr persnr
rename pintjahr year
rename pintmon month
rename pinttag day
rename pintdat date

gen edate = mdy(month, day, year)

format edate %d
format date %d

drop date

rename edate date
label var date "Datum"

order persnr- day date

keep persnr date welle

reshape wide date, i(persnr) j(welle)

sort persnr

* save data

save "$data/persnr_date.dta", replace

********************************************************************************
* long Format

clear all
capture set more off // damit das Programm durchlaeuft

use "$orig/PENDDAT.dta", clear


********************************************************************************
****  Zeitangaben                                         **********************
********************************************************************************

rename pnr persnr
rename pintjahr jahr
rename pintmon monat
rename pinttag tag
*rename pintdat date

gen date = mdy(monat, tag, jahr)

format date %d
*format date %d

keep persnr jahr date

sort persnr

* save data
save "$data/persnr_date_2.dta", replace


********************************************************************************

log close








