cap log close

********************************************************************************
**** load data & log File                               **********************
********************************************************************************
log using "$log/lpo08_1_Prep_PASS_adiab_firm.log", replace

* Content: Preparation PASS - ADIAB - Firm data

clear all
capture set more off 

use "$orig/PASS-ADIAB_7515_v1_bhp_basis_v1.dta"
keep betnr jahr az_ges te_imp_mw w93_3_gen grd_jahr lzt_jahr ao_bula

recode betnr .n .z = .
recode az_ges .n .z = .
recode w93_3_gen .k .z = .
recode te_imp_mw .n .z = .
recode ao_bula .n = .


compress
save "$data/PASS_adiab_r_7510_v1_Betriebsdaten.dta", replace
log close








